BZip2Constants (Apache Ant API)
Keywords: org.apache.tools.bzip2.BZip2Constants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.bzip2
Interface BZip2Constants

All Known Implementing Classes:
  CBZip2InputStream, CBZip2OutputStream

public interface BZip2Constants

Base class for both the compress and decompress classes. Holds common arrays, and static data.

Author:
  Keiron Liddle

Field Summary
`static int` | `baseBlockSize`
`static int` | `G_SIZE`
`static int` | `MAX_ALPHA_SIZE`
`static int` | `MAX_CODE_LEN`
`static int` | `MAX_SELECTORS`
`static int` | `N_GROUPS`
`static int` | `N_ITERS`
`static int` | `NUM_OVERSHOOT_BYTES`
`static int[]` | `rNums`
`static int` | `RUNA`
`static int` | `RUNB`

Field Detail

### baseBlockSize

    public static final int baseBlockSize

See Also:
  Constant Field Values

### MAX_ALPHA_SIZE

    public static final int MAX_ALPHA_SIZE

See Also:
  Constant Field Values

### MAX_CODE_LEN

    public static final int MAX_CODE_LEN

See Also:
  Constant Field Values

### RUNA

    public static final int RUNA

See Also:
  Constant Field Values

### RUNB

    public static final int RUNB

See Also:
  Constant Field Values

### N_GROUPS

    public static final int N_GROUPS

See Also:
  Constant Field Values

### G_SIZE

    public static final int G_SIZE

See Also:
  Constant Field Values

### N_ITERS

    public static final int N_ITERS

See Also:
  Constant Field Values

### MAX_SELECTORS

    public static final int MAX_SELECTORS

See Also:
  Constant Field Values

### NUM_OVERSHOOT_BYTES

    public static final int NUM_OVERSHOOT_BYTES

See Also:
  Constant Field Values

### rNums

    public static final int[] rNums

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.